Subject: Re: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Apr 2012 10:10:38 -0400

> This is with the latest trunk emacs.
> In *shell* buffer, if I have files temp1, temp2, temp.txt,
> and type as this (<TAB> means the TAB key):

>     % rm temp<TAB>

> *Completions* buffer pops up and lists temp1, temp2, temp.txt.
> But after that, when I type '?' key, ? is not inserted in the buffer
> because C-h c ? tells that it runs completion-help-at-point.  This is
> very annoying.  What I want to do is to delete only temp1 and temp2 by
> typing "rm temp?".

It's not a bug it's a feature.
You can use `C-q ?' of course.

        Stefan